// MotionController_ETEL.h: interface for the CMotionController_ETEL class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_MOTIONCONTROLLER_ETEL_H__3E235D4B_C75D_4F13_A9B5_61EFB6BB5378__INCLUDED_)
#define AFX_MOTIONCONTROLLER_ETEL_H__3E235D4B_C75D_4F13_A9B5_61EFB6BB5378__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "MotionControllerBase.h"

class CMotionController_ETEL : public CMotionControllerBase
{
public:
    CMotionController_ETEL(int index);
    virtual ~CMotionController_ETEL();

    BOOL Init(int &nNoOfMtr) override;
    void Close() override;

//  get Motion status of motor
    int GetMotionStatus(const CMtrProfile &mtrProfile) override;

// check motor in position signal
    BOOL IsInPosition(const CMtrProfile &mtrProfile) override;

private:
    DWORD GetAxisStatusM60(const CMtrProfile &mtrProfile);
};

#endif // !defined(AFX_MOTIONCONTROLLER_ETEL_H__3E235D4B_C75D_4F13_A9B5_61EFB6BB5378__INCLUDED_)
